unit Legend;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls;

type
  TLegendForm = class(TForm)
    Label1: TLabel;
    Image1: TImage;
    Image2: TImage;
    Label2: TLabel;
    Label3: TLabel;
    Image3: TImage;
    Image4: TImage;
    Label4: TLabel;
    Label5: TLabel;
    Image5: TImage;
    Image6: TImage;
    Label6: TLabel;
    Label7: TLabel;
    Image7: TImage;
    Image8: TImage;
    Label8: TLabel;
    Image16: TImage;
    Label16: TLabel;
    Label15: TLabel;
    Image15: TImage;
    Image14: TImage;
    Label14: TLabel;
    Image13: TImage;
    Label13: TLabel;
    Label12: TLabel;
    Image12: TImage;
    Image11: TImage;
    Label11: TLabel;
    Label10: TLabel;
    Image10: TImage;
    Image9: TImage;
    Label9: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  LegendForm: TLegendForm;

implementation

uses main;

{$R *.dfm}

procedure TLegendForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  LegendForm.Destroy
end;

procedure TLegendForm.FormCreate(Sender: TObject);
begin
  with MainForm do
  begin
    LegendWindowMenu.Checked:=True;
    ImageList.GetBitmap(0,Image1.Picture.Bitmap);
    ImageList.GetBitmap(1,Image2.Picture.Bitmap);
    ImageList.GetBitmap(5,Image3.Picture.Bitmap);
    ImageList.GetBitmap(2,Image4.Picture.Bitmap);
    ImageList.GetBitmap(4,Image5.Picture.Bitmap);
    ImageList.GetBitmap(3,Image6.Picture.Bitmap);
    ImageList.GetBitmap(6,Image7.Picture.Bitmap);
    ImageList.GetBitmap(7,Image8.Picture.Bitmap);
    ImageList.GetBitmap(8,Image9.Picture.Bitmap);
    ImageList.GetBitmap(9,Image10.Picture.Bitmap);
    ImageList.GetBitmap(10,Image11.Picture.Bitmap);
    ImageList.GetBitmap(12,Image12.Picture.Bitmap);
    ImageList.GetBitmap(13,Image13.Picture.Bitmap);
    ImageList.GetBitmap(14,Image14.Picture.Bitmap);
    ImageList.GetBitmap(15,Image15.Picture.Bitmap);
    ImageList.GetBitmap(11,Image16.Picture.Bitmap);
  end;
end;

procedure TLegendForm.FormDestroy(Sender: TObject);
begin
  MainForm.LegendWindowMenu.Checked:=False
end;

end.
