unit texview;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TTexViewForm = class(TForm)
    NorthTexture: TImage;
    Label1: TLabel;
    WestTexture: TImage;
    Label4: TLabel;
    EastTexture: TImage;
    Label3: TLabel;
    SouthTexture: TImage;
    Label2: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  TexViewForm: TTexViewForm;

implementation

uses main;

{$R *.dfm}

procedure TTexViewForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  TexViewForm.Destroy
end;

procedure TTexViewForm.FormCreate(Sender: TObject);
begin
  MainForm.TexViewWindowMenu.Checked:=True
end;

procedure TTexViewForm.FormDestroy(Sender: TObject);
begin
  MainForm.TexViewWindowMenu.Checked:=False
end;

end.
